TA的每日心情 | 开心 昨天 06:36 |
---|
签到天数: 15 天 [LV.4]偶尔看看III
管理员
- 积分
- 1308
|
- AcTransaction::getObject().
- Here's a snippet to illustrate:
- //pPline points to an AcDb2dPolyline open for Read.
- AcDbObjectIterator *pVertIter= pPline->vertexIterator();
- AcDbObjectId vertexObjId;
- //start a transaction
- AcTransaction *pTrans = actrTransactionManager->startTransaction();
- assert(pTrans != NULL);
- //iterate through the oldstyle pline
- //highlight each segment as you go
- //numVerts == number of vertices in polyline
- for (int vertexNumber = 0; vertexNumber < numVerts - 1;
- vertexNumber++, pVertIter->step())
- {
- vertexObjId = pVertIter->objectId();
- ads采用name ename;
- acdbGetAdsName(ename, vertexObjId);
- ads采用redraw(ename, 3);
- //pause for user to see the effect
- ads采用getstring(0, "\nPress return to continue: ", dummy);
- //always balance ads采用redraw highlight calls in R14
- ads采用redraw(ename, 4);
- }
- actrTransactionManager->endTransaction();
- delete pVertIter;
复制代码 |
|